############################
dataset:
    # name: [BufferWeb]
    name: [BufferWebLat]
    s3_prefix: [s3://tri-ml-sandbox-16011-us-west-2-datasets/cv_datasets/webdatasets]
    path: [[
        ####
        # ["frames/PD4D/IKED6_buf[40f1]-ctx[sequence-single]_spat5_cam[camera0]_zbuffer_resi[-1,320,s16]/indices/PD_trex_Point_Cache_Final_2_17_2023__scene_000000/filenames.txt",1],
        ["frames/PD4D/filenames/pd4d_iked6_40f1_all.txt",1],
        # ["latents/PD4D/filenames/pd4d_latents_iked6_40f1_all.txt",1],
        ####
    ]]
    labels: [rgb,intrinsics,depth,pose,action,language]
    labels_context: [rgb,intrinsics,depth,pose,action,language]
    shuffle_shards: [True]
    with_raw: [True]
    with_latents: [False]
    parallelism: [1]
    augmentation:
        # resize: [384,512]
        resize: [192,256]
        resize_supervision: True
        preserve_depth: False
    params:
        threads: 1
        context: [0,40]
        cameras: [0]
        cameras_context: [0,1,2,3,4,5]
        cameras_context_sample: 3
        shuffle: True
        sample: 1
############################

